## automat 0.5.0

=== debian/changelog ===
automat (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #855386).

 -- Free Ekanayaka <freee@debian.org>  Fri, 17 Feb 2017 11:27:31 +0000

## automat 25.4.16

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = automat
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.12
# by the following command:
#
#    pip-compile --no-emit-index-url
#
alabaster==0.7.16
    # via sphinx
appdirs==1.4.4
    # via pydoctor
attrs==24.2.0
    # via
    #   automat
    #   pydoctor
    #   twisted
automat==22.10.0
    # via twisted
babel==2.16.0
    # via sphinx
cachecontrol[filecache]==0.14.0
    # via
    #   cachecontrol
    #   pydoctor
certifi==2024.7.4
    # via requests
charset-normalizer==3.3.2
    # via requests
configargparse==1.7
    # via pydoctor
constantly==23.10.4
    # via twisted
docutils==0.20.1
    # via
    #   pydoctor
    #   sphinx
    #   sphinx-rtd-theme
filelock==3.15.4
    # via cachecontrol
hyperlink==21.0.0
    # via twisted
idna==3.7
    # via
    #   hyperlink
    #   requests
imagesize==1.4.1
    # via sphinx
incremental==24.7.2
    # via twisted
jinja2==3.1.6
    # via sphinx
lunr==0.6.2
    # via pydoctor
markupsafe==2.1.5
    # via jinja2
msgpack==1.0.8
    # via cachecontrol
packaging==24.1
    # via sphinx
pydoctor==24.3.3
    # via -r requirements.in
pygments==2.18.0
    # via sphinx
requests==2.32.3
    # via
    #   cachecontrol
    #   pydoctor
    #   sphinx
six==1.16.0
    # via automat
snowballstemmer==2.2.0
    # via sphinx
sphinx==7.4.7
    # via
    #   -r requirements.in
    #   sphinx-rtd-theme
    #   sphinxcontrib-jquery
sphinx-rtd-theme==2.0.0
    # via -r requirements.in
sphinxcontrib-applehelp==2.0.0
    # via sphinx
sphinxcontrib-devhelp==2.0.0
    # via sphinx
sphinxcontrib-htmlhelp==2.1.0
    # via sphinx
sphinxcontrib-jquery==4.1
    # via sphinx-rtd-theme
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==2.0.0
    # via sphinx
sphinxcontrib-serializinghtml==2.0.0
    # via sphinx
toml==0.10.2
    # via pydoctor
twisted==24.7.0
    # via pydoctor
typing-extensions==4.12.2
    # via twisted
urllib3==2.2.2
    # via
    #   pydoctor
    #   requests
zope-interface==7.0.1
    # via twisted

# The following packages are considered to be unsafe in a requirements file:
# setuptools

## automat 0.6.0

=== debian/changelog ===
automat (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Free Ekanayaka <freee@debian.org>  Mon, 28 Aug 2017 08:55:39 +0000

=== debian/control ===
Source: automat
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
	       dh-python,
	       python-all (>= 2.6.6-3),
	       python-setuptools (>= 0.6b3),
	       python-setuptools-scm,
	       python-characteristic,
	       python-six,
	       python-attr,
	       python3-all,
	       python3-setuptools (>= 0.6b3),
	       python3-setuptools-scm,
	       python3-characteristic,
	       python3-six,	       
	       python3-attr,
Standards-Version: 3.9.8
Homepage: https://github.com/freeekanayaka/systemfixtures
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/automat.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/automat.git

Package: python-automat
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Self-service finite-state machines for the programmer on the go
 Automat is a library for concise, idiomatic Python expression of
 finite-state automata (particularly deterministic finite-state
 transducers).

Package: python3-automat
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Self-service finite-state machines for the programmer on the go
 Automat is a library for concise, idiomatic Python expression of
 finite-state automata (particularly deterministic finite-state
 transducers).

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 17 Feb 2017 11:27:31 +0000
export PYBUILD_NAME=automat
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv debian/python3-automat/usr/bin/automat-visualize debian/python3-automat/usr/bin/automat-visualize3

=== debian/tests/control ===
Tests: unit-tests-2 unit-tests-3
Depends: @,
	 graphviz,
	 python-twisted-core,
	 python3-twisted,
	 python3-graphviz,

=== debian/watch ===
# please also check http://pypi.debian.net/Automat/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/Automat/Automat-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## automat 0.8.0

=== debian/changelog ===
automat (0.8.0-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Call python2 in the autopkg test.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 21 Mar 2020 16:50:44 +0100

automat (0.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/control: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.

  [ Scott Kitterman ]
  * New upstream release (Closes: #948416)
    - Refresh patches

 -- Scott Kitterman <scott@kitterman.com>  Wed, 18 Mar 2020 17:50:44 -0400

automat (0.8.0-0ubuntu2) focal; urgency=medium

  * Call python2 in the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 11:22:15 +0100

automat (0.8.0-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2020 11:53:22 +0100

automat (0.6.0-2) unstable; urgency=medium

  * Fix homepage link in control file

 -- Free Ekanayaka <freee@debian.org>  Wed, 20 Sep 2017 14:45:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Free Ekanayaka <freee@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 9),
 	       dh-python,
 	       python-all (>= 2.6.6-3),
 	       python-setuptools (>= 0.6b3),
@@ -15,12 +15,12 @@
 	       python3-setuptools (>= 0.6b3),
 	       python3-setuptools-scm,
 	       python3-characteristic,
-	       python3-six,	       
+	       python3-six,
 	       python3-attr,
 Standards-Version: 3.9.8
-Homepage: https://github.com/freeekanayaka/systemfixtures
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/automat.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/automat.git
+Homepage: https://pypi.python.org/pypi/Automat
+Vcs-Browser: https://salsa.debian.org/python-team/modules/automat
+Vcs-Git: https://salsa.debian.org/python-team/modules/automat.git
 
 Package: python-automat
 Architecture: all

## automat 20.2.0

=== debian/changelog ===
automat (20.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Diego M. Rodriguez ]
  * New upstream version 20.2.0 (Closes: #954079)
  * d/patches: refresh patches for 20.2.0
  * d/control: drop python3-characteristic from BD
  * d/control: bump Standards-Version to 4.5.0

  [ Tristan Seligmann ]
  * Bump debhelper-compat to 13.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 02 Aug 2020 14:53:19 +0200

automat (0.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936167, #954441

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Apr 2020 20:41:39 -0400

=== debian/control ===
Source: automat
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       dh-python,
	       python3-all,
	       python3-setuptools (>= 0.6b3),
	       python3-setuptools-scm,
	       python3-six,
	       python3-attr,
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/Automat
Vcs-Browser: https://salsa.debian.org/python-team/modules/automat
Vcs-Git: https://salsa.debian.org/python-team/modules/automat.git
Rules-Requires-Root: no

Package: python3-automat
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Self-service finite-state machines for the programmer on the go
 Automat is a library for concise, idiomatic Python expression of
 finite-state automata (particularly deterministic finite-state
 transducers).

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Fri, 17 Feb 2017 11:27:31 +0000
 export PYBUILD_NAME=automat
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
 	dh_install

=== debian/tests/control ===
Tests: unit-tests-3
Depends: @,
	 graphviz,
	 python3-twisted,
	 python3-graphviz,

=== debian/watch ===
# please also check https://pypi.debian.net/Automat/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Automat/Automat-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## automat 22.10.0

=== debian/changelog ===
automat (22.10.0-1) unstable; urgency=medium

  * Team upload.
  * Switch d/watch to Github
  * New upstream version 22.10.0
  * Drop upstreamed patch
  * No longer builds depends on six
  * Use dh-sequence-python3
  * Cleanup debian/
  * Enable autopkgtest-pkg-pybuild (Closes: #1026545)
  * Bump policy version (no changes)
  * Add build dependency on wheel

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Dec 2022 20:48:59 +0100

automat (20.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Apr 2022 19:27:53 -0400

=== debian/control ===
Source: automat
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       dh-sequence-python3,
	       python3-all,
	       python3-setuptools,
	       python3-setuptools-scm,
	       python3-wheel,
	       python3-attr,
	       graphviz <!nocheck>,
	       python3-pytest <!nocheck>,
	       python3-twisted <!nocheck>,
	       python3-graphviz <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://pypi.python.org/pypi/Automat
Vcs-Browser: https://salsa.debian.org/python-team/packages/automat
Vcs-Git: https://salsa.debian.org/python-team/packages/automat.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: python3-automat
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Self-service finite-state machines for the programmer on the go
 Automat is a library for concise, idiomatic Python expression of
 finite-state automata (particularly deterministic finite-state
 transducers).

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/glyph/Automat/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## automat 24.8.1

=== debian/changelog ===
automat (24.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Point to upstream homepage directly rather than via PyPI.

 -- Colin Watson <cjwatson@debian.org>  Tue, 20 Aug 2024 16:57:33 +0100

automat (22.10.0-2) unstable; urgency=medium

  * Team upload.
  * remove extraneous generated dependency on six (Closes: #1040368)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 02 Jan 2024 09:49:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	       dh-sequence-python3,
+	       pybuild-plugin-pyproject,
 	       python3-all,
 	       python3-setuptools,
 	       python3-setuptools-scm,
 	       python3-wheel,
-	       python3-attr,
 	       graphviz <!nocheck>,
 	       python3-pytest <!nocheck>,
 	       python3-twisted <!nocheck>,
 	       python3-graphviz <!nocheck>,
 Standards-Version: 4.6.2
-Homepage: https://pypi.python.org/pypi/Automat
+Homepage: https://github.com/glyph/automat
 Vcs-Browser: https://salsa.debian.org/python-team/packages/automat
 Vcs-Git: https://salsa.debian.org/python-team/packages/automat.git
 Rules-Requires-Root: no

## automat 25.4.16

=== debian/changelog ===
automat (25.4.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 May 2025 13:55:17 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	       dh-sequence-python3,
 	       pybuild-plugin-pyproject,
 	       python3-all,
+	       python3-hatch-vcs,
 	       python3-setuptools,
 	       python3-setuptools-scm,
 	       python3-wheel,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = {dir}/src/automat/_test

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
	mv debian/python3-automat/usr/bin/automat-visualize debian/python3-automat/usr/bin/automat-visualize3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/glyph/automat/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
